Foreman - Bug #6167

New Host: selection of "Host Group" and "Deploy on" is user-unfriendly
06/11/2014 03:44 PM - Dominic Cleal

Status: Closed
Priority: Normal
Assignee: Ondrej Prazak
Category: Host creation
Target version: 1.12.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1108252 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3302
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1108252

Description of problem:

The contents of "Host Group" affects the contents of the two drop downs ("Environment", "Content View")that exist below the "Deploy
on" field. As such, these three fields should be grouped together. A side effect of this, however, is that if user selects a group and
then quickly selects a provisioning type ("Deploy on"), the Ul gets refreshed after group/environment/content view are populated, and
the user's selection is reset.

Version-Release number of selected component (if applicable):
Satellite-6.0.3-RHEL-6-20140605.0
How reproducible:

Steps to Reproduce:

1. Assure you have at least one host group created and at least one provisioning type other than baremetal created (i.e., libvirt)
2. Hosts > New Host

3. begin populating fields; choose a group from your Host Groups list and then quickly select a provisioning type in "Deploy on".
4. Wait for Ul to refresh with contents for Environment, Content View; observe results.

Actual results:
Once the appropriate values are auto-filled -- i.e., the page has been refreshed -- the user's deploy method selection has been reset.

Expected results:
Something a little more user-friendly. Reversing the location of these two fields solves two issues:

e |t appropriately positions the "Host Group" field with the two accompanying fields that rely on its input
¢ |t makes it much less likely that user's selection for "Deploy on" gets reset.

Additional info:
Current workaround is to select "deploy on" method first, or simply wait for Ul to completely refresh after selecting Host Group.

Related issues:
Related to Foreman - Bug #3218: CR external calls are performed twice Closed 10/08/2013

Associated revisions

Revision f9f8b025 - 04/14/2016 09:48 AM - Ondfej Prazak

Fixes #6167 - 'Deployed on' dropdown in hosts/new form disabled until ajax on hostgroup_changed is resolved

History

#1 - 06/11/2014 03:45 PM - Dominic Cleal

- Category set to Host creation

The fields are laid out this way deliberately, as this is a performance enhancement and it'll be much slower if swapped back (#3218 has background).
https://bugzilla.redhat.com/show_bug.cgi?id=1108252
https://projects.theforeman.org/issues/3218

| would suggest "Deploy on" is either disabled temporarily while host group is reloading, or we're careful to keep the user's deploy on selection when
the form is reloaded.

#2 - 06/11/2014 03:45 PM - Dominic Cleal
- Related to Bug #3218: CR external calls are performed twice added

#3 - 03/09/2016 08:56 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Ondrej PraZzak

- Pull request https://github.com/theforeman/foreman/pull/3302 added

#4 - 04/14/2016 10:01 AM - Ondfej Prazak
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset f9f8002563173d24e4f19f2f42ddff1c5ed1722a.

#5 - 04/15/2016 04:56 AM - Dominic Cleal

- translation missing: en.field_release set to 136
